# pandas.io.gbq.read_gbq

`pandas.io.gbq.``read_gbq`(query, project_id=None, index_col=None, col_order=None, reauth=False, verbose=True)

  Load data from Google BigQuery.

  THIS IS AN EXPERIMENTAL LIBRARY

  The main method a user calls to execute a Query in Google BigQuery and read results into a pandas DataFrame using the v2 Google API client for Python. Documentation for the API is available at https://developers.google.com/api-client-library/python/. Authentication to the Google BigQuery service is via OAuth 2.0 using the product name ‘pandas GBQ’.

  Parameters:

  query : str

  > SQL-Like Query to return data values

  project_id : str

  > Google BigQuery Account project ID.

  index_col : str (optional)

  > Name of result column to use for index in results DataFrame

  col_order : list(str) (optional)

  > List of BigQuery column names in the desired order for results DataFrame

  reauth : boolean (default False)

  > Force Google BigQuery to reauthenticate the user. This is useful if multiple accounts are used.

  verbose : boolean (default True)

  > Verbose output

  Returns:

  df: DataFrame

  > DataFrame representing results of query